Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.net
Enum Proxy.Type

    java.lang.Object
      java.lang.Enum<Proxy.Type>
          java.net.Proxy.Type

All Implemented Interfaces:
  Serializable, Comparable<Proxy.Type>

Enclosing class:
  Proxy

    public static enum Proxy.Type

extends Enum<Proxy.Type>

Represents the proxy type.

Since:
  1.5

Enum Constant Summary
`DIRECT` Represents a direct connection, or the absence of a proxy.
`HTTP` Represents proxy for high level protocols such as HTTP or FTP.
`SOCKS` Represents a SOCKS (V4 or V5) proxy.

Method Summary
`static Proxy.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Proxy.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIRECT

    public static final Proxy.Type DIRECT

  Represents a direct connection, or the absence of a proxy.

### HTTP

    public static final Proxy.Type HTTP

  Represents proxy for high level protocols such as HTTP or FTP.

### SOCKS

    public static final Proxy.Type SOCKS

  Represents a SOCKS (V4 or V5) proxy.

Method Detail

### values

    public static Proxy.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Proxy.Type c : Proxy.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Proxy.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.